DbEnv::set_mp_pagesize()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbEnv::set_mp_pagesize()

    #include <db_cxx.h>

    int
    DbEnv::set_mp_pagesize(u_int32_t pagesize);

The `DbEnv::set_mp_pagesize()` method sets the pagesize used to allocate the hash table and the number of mutexes expected to be needed by the buffer pool.

You must call this method only before the environment is opened.

### Parameters

#### pagesize

The pagesize parameter specifies expected page size use. Generally, it is set to the expected average page size for all the data pages that are in the buffer pool.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbEnv::get_mp_pagesize()

Prev | Up | Next
DbEnv::set_mp_mtxcount() | Home | DbEnv::set_mp_tablesize()